﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmCreateCampaign : Form
    {
        string _Username;
        string _Password;
        public frmCreateCampaign(string username, string password)
        {
            InitializeComponent();
            _Username = username;
            _Password = password;

            FillComboBox();
        }

        private void FillComboBox()
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            var messages = webservice.GetMessages(_Username, _Password);
            ddlMessages.DisplayMember = "Title";
            ddlMessages.ValueMember = "Id";
            ddlMessages.DataSource = messages;

            ddlMaxTryCount.SelectedIndex = 0;
            ddlMinuteBetweenTry.SelectedIndex = 0;

            var lstItems = new List<Models.ListItem>();

            lstItems.Add(new Models.ListItem() { Text = "1 = مشهد", Value = 1 });
            lstItems.Add(new Models.ListItem() { Text = "15 = مازندران", Value = 15 });
            lstItems.Add(new Models.ListItem() { Text = "20 = تهران شمال", Value = 20 });
            lstItems.Add(new Models.ListItem() { Text = "25 = تهران جنوب", Value = 25 });
            lstItems.Add(new Models.ListItem() { Text = "30 = تهران شرق", Value = 30 });
            lstItems.Add(new Models.ListItem() { Text = "35 = تهران غرب", Value = 35 });
            lstItems.Add(new Models.ListItem() { Text = "40 = خراسان شمالی", Value = 40 });

            ddlServerId.DisplayMember = "Text";
            ddlServerId.ValueMember = "Value";
            ddlServerId.DataSource = lstItems;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            try
            {
                txtResult.Text = webservice.CreateCampaign(_Username, _Password,
                    txtTitle.Text,
                    txtNumbers.Text,
                    Convert.ToInt32(ddlMaxTryCount.Text),
                    Convert.ToInt32(ddlMinuteBetweenTry.Text),
                    dtpStartDate.Value.Date.ToShortDateString(),
                    txtStartTime.Text,
                    dtpEndDate.Value.Date.ToShortDateString(),
                    txtEndTime.Text,
                    Convert.ToInt32(ddlMessages.SelectedValue),
                    cbRemoveInvalids.Checked,
                    Convert.ToInt32(ddlServerId.SelectedValue),
                    cbStart.Checked,
                    cbVote.Checked).ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "خطا", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}
